Bug 1642940 (CVE-2018-18284) - CVE-2018-18284 ghostscript: 1Policy operator allows a sandbox protection bypass
Summary: CVE-2018-18284 ghostscript: 1Policy operator allows a sandbox protection bypass
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2018-18284
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1642941 1642943 1643115 1643117
Blocks: 1642944
TreeView+ depends on / blocked
 
Reported: 2018-10-25 10:49 UTC by Andrej Nemec
Modified: 2019-09-29 15:01 UTC (History)
5 users (show)

Fixed In Version: ghostscript 9.26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-18 08:45:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:3834 None None None 2018-12-17 19:58:24 UTC

Description Andrej Nemec 2018-10-25 10:49:34 UTC
Artifex Ghostscript 9.25 and earlier allows attackers to bypass a sandbox protection mechanism via vectors involving the 1Policy operator.

References:

https://www.openwall.com/lists/oss-security/2018/10/16/2
https://bugs.chromium.org/p/project-zero/issues/detail?id=1696
git.ghostscript.com/?p=ghostpdl.git;h=8d19fdf63f91f50466b08f23e2d93d37a4c5ea0b

Comment 2 Andrej Nemec 2018-10-25 10:51:04 UTC
Created ghostscript tracking bugs for this issue:

Affects: fedora-all [bug 1642943]

Comment 11 errata-xmlrpc 2018-12-17 19:58:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2018:3834 https://access.redhat.com/errata/RHSA-2018:3834

Comment 12 Cedric Buissart 🐶 2018-12-18 08:45:05 UTC
Statement:

Red Hat Enterprise Linux 6 is now in Maintenance Support 2 Phase of the support and maintenance life cycle. This has been rated as having a security impact of Important, and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.

Comment 13 Cedric Buissart 🐶 2018-12-18 08:45:06 UTC
Mitigation:

Please refer to the "Mitigation" section of CVE-2018-16509 : https://access.redhat.com/security/cve/cve-2018-16509


Note You need to log in before you can comment on or make changes to this bug.